|  | Home · All Classes · All Functions · Overviews

# Qt 3 Support Members for QDateTime

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QDateTime class reference

## Public Functions

void | setTime_t ( uint secsSince1Jan1970UTC, Qt::TimeSpec spec )

## Static Public Members

QDateTime | currentDateTime ( Qt::TimeSpec spec )

## Member Function Documentation

### QDateTime QDateTime::currentDateTime ( Qt::TimeSpec spec ) `[static]`

Use the currentDateTime() overload that takes no parameters instead.

### void QDateTime::setTime_t ( uint secsSince1Jan1970UTC, Qt::TimeSpec spec )

Use the single-argument overload of setTime_t() instead.